/* 横幅模块 */
.cms-banner {
  position: relative;
  min-height: 500px;
  width: 100%;
  display: flex;
  justify-content: flex-end;
  align-items: center;
}
.cms-banner__background {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
}
.cms-banner__background img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.cms-banner__content {
  width: 90%;
  max-width: 1400px;
  margin: 0 auto;
  padding: 35px 0;
  box-sizing: border-box;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 60px;
}
.cms-banner__image {
  width: 50%;
  max-width: 780px;
}
.cms-banner__text {
  flex: 1;
  display: flex;
  flex-direction: column;
}
.cms-banner__title {
  width: 100%;
  color: #ffffff;
  text-align: left;
}
.cms-banner__description {
  width: 100%;
  max-width: 510px;
  font-weight: 400;
  color: #ffffff;
  line-height: 30px;
  margin-top: 30px;
  text-align: left;
}
.cms-banner__button {
  margin-top: 40px;
  max-width: 200px;
  border-radius: 8px;
  color: #000000;
}

.cms-capabilities {
  padding: 50px 0 50px;
  position: relative;
}
.cms-capabilities__content {
  width: 90%;
  max-width: 1400px;
  margin: 0 auto;
  position: relative;
  z-index: 1;
}
.cms-capabilities__title {
  font-weight: bold;
  color: #0a3635;
  text-align: center;
  margin-bottom: 40px;
}
.cms-capabilities__list {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.cms-capabilities__item {
  width: 100%;
  font-weight: 400;
  color: #121212;
  line-height: 30px;
  background: #f5f5f5;
  border-radius: 20px;
  text-align: left;
  display: flex;
  position: relative;
  overflow: hidden;
}
.cms-capabilities__item::before {
  position: absolute;
  content: '';
  bottom: -115px;
  right: -105px;
  width: 242px;
  height: 222px;
  background: #b0e501;
  border-radius: 50%;
}
.cms-capabilities__item-image {
  width: 45%;
  max-width: 500px;
  flex-shrink: 0;
  border-radius: 20px;
  overflow: hidden;
}
.cms-capabilities__item-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.cms-capabilities__item-text {
  flex: 1;
  padding: 40px 40px 35px;
  box-sizing: border-box;
  position: relative;
  z-index: 1;
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.cms-capabilities__item-title {
  font-weight: bold;
  color: #121212;
}
.cms-capabilities__item-info {
  display: flex;
  flex-direction: column;
  position: relative;
  z-index: 1;
  margin-top: 15px;
}
.cms-capabilities__item-info-item {
  display: flex;
  align-items: center;
  gap: 5px;
  font-weight: 400;
  color: #121212;
  line-height: 30px;
}
.cms-capabilities__item-info-item img {
  width: 24px;
  height: auto;
  object-fit: contain;
}

.cms-processes {
  padding: 70px 0 70px;
  background: linear-gradient(90deg, #1b1b14 0%, #0a2f36 37%, #0a3635 100%);
}
.cms-processes__content {
  width: 90%;
  max-width: 1400px;
  margin: 0 auto;
  position: relative;
  z-index: 1;
}
.cms-processes__title {
  font-weight: bold;
  color: #ffffff;
  text-align: center;
  margin-bottom: 50px;
}
.cms-processes__list {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 60px 80px;
}
.cms-processes__item {
  width: calc(100% / 2 - 40px);
  font-weight: 400;
  color: #ffffff;
  line-height: 30px;
  text-align: left;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.cms-processes__item:last-child {
  width: 100%;
}
.cms-processes__item-text-top {
  display: flex;
  gap: 20px;
  margin-bottom: 30px;
}
.cms-processes__item-step-number {
  font-weight: 600;
  font-size: 60px;
  color: #b0e501;
}
.cms-processes__item-step {
  font-weight: 100;
  font-size: 40px;
  color: #ffffff;
}
.cms-processes__item-title {
  font-weight: bold;
  color: #ffffff;
}

.cms-advantages {
  width: 100%;
  padding: 70px 0 0px;
}
.cms-advantages__content {
  width: 90%;
  max-width: 1400px;
  margin: 0 auto;
}
.cms-advantages__title {
  font-weight: bold;
  color: #0a3635;
  margin-bottom: 50px;
}
.cms-advantages__description {
  width: 100%;
  font-weight: 400;
  color: #121212;
  line-height: 30px;
  margin-bottom: 20px;
  text-align: left;
}
.cms-advantages__list {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  align-items: stretch;
  gap: 20px;
}
.cms-advantages__item {
  width: calc(100% / 2 - 10px);
  background: #f5f5f5;
  border-radius: 20px;
  color: #000000;
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
}
.cms-advantages__item-icon {
  width: 108px;
  margin: 50px 20px 30px;
}
.cms-advantages__item-icon img {
  width: 100%;
  height: auto;
  object-fit: contain;
}
.cms-advantages__item-text {
  width: 100%;
  max-width: 580px;
  margin: 0 auto;
  padding: 0px 25px 50px;
  box-sizing: border-box;
}
.cms-advantages__item-title {
  font-weight: bold;
  color: #121212;
  margin-bottom: 25px;
  text-align: center;
}
.cms-advantages__item-desc {
  font-weight: 400;
  color: #121212;
  line-height: 30px;
  text-align: center;
}

.cms-applications {
  width: 100%;
  padding: 70px 0 50px;
}
.cms-applications__content {
  width: 90%;
  max-width: 1400px;
  margin: 0 auto;
}
.cms-applications__title {
  font-weight: bold;
  color: #0a3635;
  margin-bottom: 50px;
}
.cms-applications__list {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  align-items: stretch;
  gap: 20px;
}
.cms-applications__item {
  width: calc(100% / 3 - 14px);
  background: #f5f5f5;
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
}
.cms-applications__item-icon {
  width: 100px;
  margin: 50px 20px 30px;
}
.cms-applications__item-icon img {
  width: 100%;
  height: auto;
  object-fit: contain;
}
.cms-applications__item-text {
  width: 100%;
  max-width: 620px;
  margin: 0 auto;
  padding: 0px 25px 50px;
  box-sizing: border-box;
}
.cms-applications__item-title {
  font-weight: bold;
  color: #121212;
  text-align: center;
  margin-bottom: 35px;
}
.cms-applications__item-desc {
  font-weight: 400;
  color: #121212;
  line-height: 30px;
  text-align: center;
}

.cms-materials {
  width: 100%;
  padding: 70px 0 70px;
  background: linear-gradient(90deg, #1b1b14 0%, #0a2f36 37%, #0a3635 100%);
}
.cms-materials__content {
  width: 90%;
  max-width: 1400px;
  margin: 0 auto;
}
.cms-materials__title {
  font-weight: bold;
  color: #ffffff;
  text-align: center;
  margin-bottom: 40px;
}
.cms-materials__type {
  display: flex;
  justify-content: center;
  gap: 40px;
}
.cms-materials__type-item {
  width: 100%;
  max-width: 398px;
  height: 55px;
  line-height: 55px;
  background: #000000;
  border-radius: 30px;
  font-weight: 400;
  font-size: 20px;
  color: #ffffff;
  text-align: center;
  cursor: pointer;
}
.cms-materials__type-item:hover,
.cms-materials__type-item.is-active {
  background: #b0e501;
}
.cms-materials__wrap {
  width: 100%;
  margin-top: 40px;
}
.cms-materials__list {
  width: 100%;
  padding: 20px;
  box-sizing: border-box;
  background: linear-gradient(-89deg, #1b1c14 0%, #0a3536 100%);
  border-radius: 20px;
  display: none;
  flex-wrap: wrap;
  align-items: center;
  gap: 30px;
}
.cms-materials__item {
  min-width: 200px;
  background: #eeeeee;
  border-radius: 30px;
  font-weight: 400;
  font-size: 20px;
  color: #000000;
  text-align: center;
  padding: 10px 20px;
  box-sizing: border-box;
  cursor: pointer;
  transition: all 0.2s ease-in-out;
}
.cms-materials__item:hover,
.cms-materials__item.is-active {
  background: #b0e501;
  color: #ffffff;
}
.cms-materials__details {
  width: 100%;
  margin-top: 20px;
}
.cms-materials__details-list {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.cms-materials__details-item {
  width: 100%;
  display: none;
  align-items: center;
  gap: 50px;
  transition: all 0.3s ease-in-out;
}
.cms-materials__details-item.is-active {
  display: flex;
}
.cms-materials__details-image {
  width: 48%;
  max-width: 600px;
  flex-shrink: 0;
  display: flex;
  align-items: center;
}
.cms-materials__details-image img {
  width: 100%;
  height: auto;
  object-fit: contain;
}
.cms-materials__details-text {
  flex: 1;
  padding: 20px 0;
}
.cms-materials__details-item-title {
  font-weight: bold;
  color: #ffffff;
  text-align: left;
  margin-bottom: 35px;
}
.cms-materials__details-item-desc {
  font-weight: 400;
  color: #ffffff;
  line-height: 30px;
}

.cms-finish {
  width: 100%;
  padding: 70px 0;
  box-sizing: border-box;
}
.cms-finish__content {
  width: 100%;
}
.cms-finish__title {
  width: 90%;
  margin: 0 auto;
  font-weight: bold;
  color: #0a3635;
  text-align: center;
  margin-bottom: 40px;
}
.cms-finish__description {
  width: 90%;
  max-width: 1103px;
  margin: 0 auto;
  font-weight: 400;
  color: #121212;
  line-height: 24px;
  text-align: center;
  margin-bottom: 50px;
}
.cms-finish__content {
  width: 100%;
  position: relative;
}
.cms-finish__swiper-wrapper {
  width: 90%;
  max-width: 1400px;
  margin: 0 auto;
  position: relative;
  z-index: 1;
}
.cms-finish__swiper-wrapper .my-swiper {
  width: 100%;
  height: auto;
}
.cms-finish__swiper-wrapper .swiper-wrapper {
  display: flex;
  align-items: stretch;
  height: auto;
}
.cms-finish__swiper-wrapper .swiper-slide {
  flex-shrink: 0;
  box-sizing: border-box;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
}
.cms-finish__swiper-item {
  width: 100%;
  max-width: 398px;
  height: 100%;
  background: #0a3635;
  border-radius: 30px;
}
.cms-finish__swiper-item-content {
  width: 100%;
  height: 100%;
  padding: 25px 20px 20px;
  box-sizing: border-box;
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.cms-finish__swiper-item-title {
  font-weight: bold;
  color: #b0e501;
  text-align: center;
  margin-bottom: 10px;
}
.cms-finish__swiper-item-desc {
  font-weight: 400;
  color: #ffffff;
  line-height: 24px;
  text-align: center;
  margin-bottom: 30px;
}
.cms-finish__swiper-item-image {
  width: 100%;
  max-width: 350px;
  margin: 0 auto;
}
.cms-finish__swiper-item-image img {
  width: 100%;
  height: auto;
  object-fit: contain;
}
.cms-finish__swiper-wrapper .swiper-button-prev,
.cms-finish__swiper-wrapper .swiper-button-next {
  width: 60px;
  height: 60px;
  background: #0a3635;
  border-radius: 50%;
  opacity: 1;
}
.cms-finish__swiper-wrapper .swiper-button-prev::after,
.cms-finish__swiper-wrapper .swiper-button-next::after {
  font-size: 24px;
  color: #ffffff;
}
.cms-finish__swiper-wrapper .swiper-button-prev {
  top: calc(50% - 15px);
  left: -120px !important;
  z-index: 10;
}
.cms-finish__swiper-wrapper .swiper-button-next {
  top: calc(50% - 15px);
  right: -120px !important;
  z-index: 10;
}
.cms-finish__swiper-wrapper .swiper-button-prev.finish-swiper-button-disabled,
.cms-finish__swiper-wrapper .swiper-button-next.finish-swiper-button-disabled {
  opacity: 0.3;
  pointer-events: none;
}

@media screen and (max-width: 760px) {
  .cms-banner__image {
    display: none;
  }
  .cms-banner__title {
    max-width: 100%;
  }
  .cms-banner__description {
    max-width: 100%;
  }

  .cms-capabilities__item {
    flex-direction: column;
  }
  .cms-capabilities__item-image {
    width: 100%;
  }
  .cms-capabilities__item-image img {
    height: auto;
    object-fit: contain;
  }
  .cms-capabilities__item-text {
    padding: 30px 20px;
  }

  .cms-processes__item {
    width: 100%;
  }
  .cms-processes__item-text-top {
    flex-wrap: wrap;
  }

  .cms-advantages__item {
    width: 100%;
  }

  .cms-applications__item {
    width: 100%;
  }

  .cms-materials__type {
    flex-wrap: wrap;
    gap: 20px;
  }
  .cms-materials__type-item {
    font-size: 16px;
    height: 45px;
    line-height: 45px;
  }
  .cms-materials__list {
    gap: 10px;
  }
  .cms-materials__item {
    min-width: auto;
    padding: 5px 15px;
    font-size: 16px;
  }
  .cms-materials__details-item {
    flex-direction: column;
    gap: 10px;
  }
  .cms-materials__details-image {
    width: 100%;
  }
  .cms-materials__details-text {
    padding: 0px;
  }

  .cms-finish__swiper-wrapper .swiper-button-prev {
    left: -10px !important;
  }
  .cms-finish__swiper-wrapper .swiper-button-next {
    right: -10px !important;
  }
}

@media screen and (min-width: 760px) and (max-width: 1020px) {
  .cms-banner__image {
    width: 20%;
  }
  .cms-banner__title {
    max-width: 100%;
  }
  .cms-banner__description {
    max-width: 100%;
  }

  .cms-capabilities__item {
    flex-direction: column;
  }
  .cms-capabilities__item-image {
    width: 100%;
  }
  .cms-capabilities__item-image img {
    height: auto;
    object-fit: contain;
  }

  .cms-processes__item {
    width: 100%;
  }

  .cms-advantages__item {
    width: 100%;
  }

  .cms-applications__item {
    width: calc(100% / 2 - 10px);
  }

  .cms-materials__type {
    flex-wrap: wrap;
    gap: 20px;
  }
  .cms-materials__type-item {
    font-size: 18px;
    height: 50px;
    line-height: 50px;
  }
  .cms-materials__list {
    gap: 10px;
  }
  .cms-materials__item {
    min-width: auto;
    padding: 5px 15px;
    font-size: 18px;
  }
  .cms-materials__details-item {
    flex-direction: column;
    gap: 10px;
  }
  .cms-materials__details-image {
    width: 100%;
  }
  .cms-materials__details-text {
    padding: 0px;
  }

  .cms-finish__swiper-wrapper .swiper-button-prev {
    left: -10px !important;
  }
  .cms-finish__swiper-wrapper .swiper-button-next {
    right: -10px !important;
  }
}

@media screen and (min-width: 1020px) and (max-width: 1350px) {
  .cms-finish__swiper-wrapper .swiper-button-prev {
    left: -30px !important;
  }
  .cms-finish__swiper-wrapper .swiper-button-next {
    right: -30px !important;
  }
}

@media screen and (min-width: 1350px) and (max-width: 1900px) {
  .cms-finish__swiper-wrapper .swiper-button-prev {
    left: -30px !important;
  }
  .cms-finish__swiper-wrapper .swiper-button-next {
    right: -30px !important;
  }
}
